Loading...
Searching...
No Matches
CController Class Reference

Entry point into CRobotMain. More...

`#include <src/app/controller.h>`

## Public Member Functions

CRobotMain * | GetRobotMain ()
| Return CRobotMain instance.
void | ProcessEvent (Event &event)
| Event processing.
void | StartApp ()
| Start the application.
void | StartGame (LevelCategory cat, int chap, int lvl)
| Starts the simulation, loading the given scene.

## Detailed Description

Entry point into CRobotMain.

## Member Function Documentation

## GetRobotMain()

CRobotMain * CController::GetRobotMain | ( |  | ) |

Return CRobotMain instance.

## ProcessEvent()

void CController::ProcessEvent | ( | Event & | event | ) |

Event processing.

## StartApp()

void CController::StartApp | ( |  | ) |

Start the application.

## StartGame()

void CController::StartGame | ( | LevelCategory | cat,
|  | int | chap,
|  | int | lvl )

Starts the simulation, loading the given scene.

The documentation for this class was generated from the following files:

- src/app/controller.h
- src/app/controller.cpp